# __gnu_parallel::inner_product_selector< It, It2, T > Struct Template Reference

Inheritance diagram for __gnu_parallel::inner_product_selector< It, It2, T >:

List of all members.

## Detailed Description

### template<typename It, typename It2, typename T>
struct __gnu_parallel::inner_product_selector< It, It2, T >

std::inner_product() selector.

Definition at line 229 of file for_each_selectors.h.

## Public Member Functions

- inner_product_selector (It b1, It2 b2)
- template<typename Op> T operator() (Op mult, It current)

## Public Attributes

- It begin1_iterator
- It2 begin2_iterator
- It finish_iterator

## Constructor & Destructor Documentation

template<typename It, typename It2, typename T>

__gnu_parallel::inner_product_selector< It, It2, T >::inner_product_selector | ( | It | b1,
|  | It2 | b2 |
| ) |  |  | `[inline, explicit]`

Constructor.

Parameters:

  | b1 | Begin iterator of first sequence.
  | b2 | Begin iterator of second sequence.

Definition at line 241 of file for_each_selectors.h.

## Member Function Documentation

template<typename It, typename It2, typename T>
template<typename Op>

T __gnu_parallel::inner_product_selector< It, It2, T >::operator() | ( | Op | mult,
|  | It | current |
| ) |  |  | `[inline]`

Functor execution.

Parameters:

  | mult | Multiplication functor.
  | current | Iterator referencing object.

Returns:
  Inner product elemental result.

Definition at line 250 of file for_each_selectors.h.

References __gnu_parallel::inner_product_selector< It, It2, T >::begin1_iterator, and __gnu_parallel::inner_product_selector< It, It2, T >::begin2_iterator.

## Member Data Documentation

template<typename It, typename It2, typename T>

It __gnu_parallel::inner_product_selector< It, It2, T >::begin1_iterator

Begin iterator of first sequence.

Definition at line 232 of file for_each_selectors.h.

Referenced by __gnu_parallel::inner_product_selector< It, It2, T >::operator()().

template<typename It, typename It2, typename T>

It2 __gnu_parallel::inner_product_selector< It, It2, T >::begin2_iterator

Begin iterator of second sequence.

Definition at line 235 of file for_each_selectors.h.

Referenced by __gnu_parallel::inner_product_selector< It, It2, T >::operator()().

template<typename It>

It __gnu_parallel::generic_for_each_selector< It >::finish_iterator `[inherited]`

Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 54 of file for_each_selectors.h.

Referenced by std::__parallel::adjacent_difference_switch(), std::__parallel::transform1_switch(), and std::__parallel::transform2_switch().

The documentation for this struct was generated from the following file:

- for_each_selectors.h